Bug 106384 - Large content in section which is in table cell is cut
Summary: Large content in section which is in table cell is cut
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables Cut-Copy
  Show dependency treegraph
 
Reported: 2017-03-07 12:14 UTC by Robert Nemet
Modified: 2018-06-30 02:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Document to reproduce bug. (15.54 KB, application/vnd.oasis.opendocument.text)
2017-03-07 12:15 UTC, Robert Nemet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Nemet 2017-03-07 12:14:00 UTC
Description:
I have a table ( for example 4 x 4 ) and inside one of table cells as cell content I have section. If there is a lot of text, large content, in the section: row containing this section goes on next page. If content of section can not fit page then content is cut, section does not expand on next page.

Expected: Section and table is extended to next page so whole section content is visible.

OS: Win7
LibreOffice Version: 5.0.6.3

Steps to Reproduce:
1.Create table
2.Insert some text in any table cell and wrap it in section 
3.Add a lot of text to that section.

Actual Results:  
Content in section is cut. Section do not span on next page.

Expected Results:
Section and table is extended to next page so whole section content is visible.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36
Comment 1 Robert Nemet 2017-03-07 12:15:42 UTC
Created attachment 131696 [details]
Document to reproduce bug.
Comment 2 Svante Schubert 2017-03-07 12:31:22 UTC
I can confirm the problem. Even if a footer was added with text, the table is continuing over the footer and the page margin and even inbetween the pages..
Obviously a bug..

Tested follwing with Libreoffice:
Version: 5.3.0.3
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
Locale: de-DE (de_DE); Calc: group


Aside the document is valid ODF 1.2 (aside the usual proprietary application attributes). 
Tested online via http://odf-validator.rhcloud.com/
Comment 3 Xisco Faulí 2017-03-07 16:19:15 UTC
*** Bug 106390 has been marked as a duplicate of this bug. ***
Comment 4 kirchhoffb 2017-03-13 16:14:43 UTC
I don't think this issue and tdf#131696 are duplicates, even though they look similar. In this case, the table cell contains a section, without any attributes like "Allow table split across pages and columns" and "Allow row break across pages and columns" being set for the table.
Comment 5 kirchhoffb 2017-03-13 16:15:05 UTC Comment hidden (obsolete)
Comment 6 Michael Stahl (CIB) 2017-03-27 12:36:36 UTC
on Linux, can reproduce the layout bug on every version all the way back to OOo 3.0.1
=> not a regression
Comment 7 QA Administrators 2018-06-30 02:40:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug